org.apache.lucene.luke.app.desktop.components

## Interface AnalysisTabOperator

- All Superinterfaces:
    ComponentOperatorRegistry.ComponentOperator
  All Known Implementing Classes:
    AnalysisPanelProvider

      public interface AnalysisTabOperator
      extends ComponentOperatorRegistry.ComponentOperator

  Operator for the Analysis tab

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Analyzer` | `getCurrentAnalyzer()`
    `void` | `setAnalyzerByCustomConfiguration(CustomAnalyzerConfig config)`
    `void` | `setAnalyzerByType(String analyzerType)`

- - ### Method Detail

    - #### setAnalyzerByType

          void setAnalyzerByType(String analyzerType)

    - #### setAnalyzerByCustomConfiguration

          void setAnalyzerByCustomConfiguration(CustomAnalyzerConfig config)

    - #### getCurrentAnalyzer

          Analyzer getCurrentAnalyzer()

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.